"""
gpt_engineer.core
-----------------

The core package for the GPT Engineer project, providing essential modules
and functionalities that form the foundation of the application.

Modules:
    - ai: Contains interfaces to the OpenAI GPT models.
    - domain: Contains type annotations related to the steps workflow in GPT Engineer.
    - chat_to_files: Provides utilities for converting chat model outputs to files.
    - steps: Primary workflow definition & configuration for GPT Engineer.
    - db: Provides file system operations for GPT Engineer projects.

For more specific details, refer to the docstrings within each module.
"""
